%set_strip_method none
%set_verify_elf_method textrel=relaxed

%define rname flash-plugin

Name: mozilla-plugin-macromedia-flash
Version: 7.0.25
Release: alt1

Provides: %rname = %version-%release
Obsoletes: %rname <= %version-%release

Group: Networking/WWW
Summary: Macromedia Flash Player
URL: http://macromedia.mplug.org/
License: Commercial

BuildArch: i386

#Source: install_flash_player_7_linux.tar.gz
Source: %rname-%version.tar.bz2
Source1: LICENSE

%description
Macromedia Flash Plugin %version
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

http://videl.ics.hawaii.edu/mailman/listinfo/linuxflash
If you see any error messages or any problems in the installer, please
send a report to the linuxflash mailing list above.  Please include 
text of the error messages that you see, your distribution and versions of 
web browsers.  You MUST subscribe in order to post.

See the license in %_docdir/%name-%version/LICENSE.txt

%prep
%setup -q -n install_flash_player_7_linux
cp %SOURCE1 LICENSE.txt
chmod a-x ./*

#%%build

%install
mkdir -p -m 0755 %buildroot/%_libdir/mozilla/plugins
install -m 0644 flashplayer.xpt %buildroot/%_libdir/mozilla/plugins
install -m 0644 libflashplayer.so %buildroot/%_libdir/mozilla/plugins

# menu
mkdir -p -m 0755 %buildroot/%_menudir
cat >%buildroot/%_menudir/%name << __EOF__
?package(%name): \
needs="x11" \
section="Documentation" \
title="Macromedia Flash Plugin EULA" \
command="/bin/sh -c \"\$BROWSER file://%_docdir/%name-%version/LICENSE.txt\"" \
icon="networking_www_section.png"
__EOF__

%post
%update_menus
%postun
%clean_menus

%files
%doc LICENSE* Readme.txt
#
%dir %_libdir/mozilla
%_libdir/mozilla/plugins
%_menudir/%name

%changelog
* Fri May 28 2004 Sergey V Turchin <zerg at altlinux dot org> 7.0.25-alt1
- new version

* Thu May 27 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt2
- fix menu section

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt1
- new version
- add menufile to show license

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 6.0.79-alt1
- new version

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 6.0.69-alt1
- initial spec
